password-strength-meter

v2.1.0

A password strength meter plugin for jQuery

GPL-3.0
Latest version published 7 months ago
    npm install password-strength-meter
  
We couldn't find any similar packages Browse all packages

Package Health Score

36 / 100
  • Popularity
    Small
  • Maintenance
    Inactive
  • Security
    Security issues found
  • Community
    Sustainable

Popularity

Small
Weekly Downloads (1,008)
Dependents
1
GitHub Stars
89
Forks
38
Contributors
4

The npm package password-strength-meter receives a total of 1,008 downloads a week. As such, we scored password-strength-meter popularity level to be Small.

Based on project statistics from the GitHub repository for the npm package password-strength-meter, we found that it has been starred 89 times, and that 1 other projects on the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

Security issues found

Security and license risk for recent versions


Direct Vulnerabilities

1.2.0
1.2.1
1.2.2
2.0.0
2.1.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

1.2.0
1.2.1
1.2.2
2.0.0
2.1.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

1.2.0
1.2.1
1.2.2
2.0.0
2.1.0

Security Policy
No
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Snyk detected that the latest version of password-strength-meter has a security vulnerability.

We highly advise you to review these security issues.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like password-strength-meter is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test password-strength-meter
Fix it in your project with Snyk!

Maintenance

Inactive
Commit Frequency
Open Issues
10
Merged PR
5
Open PR
0
Last Commit
5 months ago

Further analysis of the maintenance status of password-strength-meter based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

We found that password-strength-meter demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
4
Funding
No
License
GPL-3.0

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like password-strength-meter is missing a Code of Conduct.

We noticed that this project uses a license which requires less permissive conditions such as disclosing the source code, stating changes or redistributing the source under the same license. It is advised to further consult the license terms before use.

Package

Node.js Compatibility
not defined

Age
4 years
Dependencies
0 Direct / 0 Total
Versions
5
Install Size
66.8 kB
Dist-tags
1
# of Files
9
Maintainers
1
TS Typings
No

password-strength-meter has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.